> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tryvox.co/llms.txt
> Use this file to discover all available pages before exploring further.

# 워크스페이스 청구서 단건 조회

> 워크스페이스(`organization_id`)의 청구서 1건을 항목(`line_items`)과 함께 조회합니다. 본인 워크스페이스나 직속 하위 워크스페이스를 조회할 수 있으며, 다른 워크스페이스의 청구서는 찾을 수 없는 것으로 처리됩니다.



## OpenAPI

````yaml /api-reference/v3/openapi.json get /organizations/{organization_id}/invoices/{invoice_id}
openapi: 3.1.0
info:
  title: vox.ai API
  description: >
    vox.ai API v3


    ### v3 공개 계약 규칙


    - 인증은 `Authorization: Bearer <token>` 헤더를 사용합니다. 워크스페이스 API 키를 Bearer 토큰으로
    전달합니다.

    - 요청과 응답 필드는 기본적으로 `snake_case`를 사용합니다.

    - `agent.data`는 에이전트 레지스트리와 호환되어야 하므로 `callSettings`, `toolIds`,
    `builtInTools`, `presetDynamicVariables` 같은 camelCase 필드를 유지합니다.

    - `_at`으로 끝나는 타임스탬프는 unix milliseconds입니다. 일부 입력값은 호환성을 위해 10~11자리 unix
    seconds도 허용하고 milliseconds로 정규화합니다.

    - 대량 발신 통화 가능 시간은 분 단위 정수(`start_min` / `end_min`)를 사용합니다. 알림 스케줄은 `HH:MM`
    문자열(`start_time` / `end_time`)을 사용합니다.

    - 응답 객체 자신의 식별자는 `id`입니다. 다른 리소스를 참조하는 필드와 path parameter는 `agent_id`,
    `call_id`, `telephone_line_id`처럼 명시적인 이름을 사용합니다.

    - 실패 응답은 `{ "error": { "code", "message", "details" } }` 형태입니다. 가능한 경우
    `details.field`, `details.reason`, `details.allowed_values`를 함께 제공합니다.
  version: 3.0.0
servers:
  - url: https://client-api.tryvox.co/v3
    description: 운영
security: []
paths:
  /organizations/{organization_id}/invoices/{invoice_id}:
    get:
      tags:
        - Organizations
      summary: 워크스페이스 청구서 단건 조회
      description: >-
        워크스페이스(`organization_id`)의 청구서 1건을 항목(`line_items`)과 함께 조회합니다. 본인
        워크스페이스나 직속 하위 워크스페이스를 조회할 수 있으며, 다른 워크스페이스의 청구서는 찾을 수 없는 것으로 처리됩니다.
      operationId: getOrganizationInvoice
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            type: string
            description: 조회할 워크스페이스 ID입니다(본인 또는 직속 하위 워크스페이스).
            title: Organization Id
          description: 조회할 워크스페이스 ID입니다(본인 또는 직속 하위 워크스페이스).
        - name: invoice_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: 청구서 ID입니다.
            title: Invoice Id
          description: 청구서 ID입니다.
      responses:
        '200':
          description: 성공 응답
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvoiceDetailResponse'
        '400':
          description: 요청 검증 오류
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                validationError:
                  summary: 요청 검증 오류
                  value:
                    error:
                      code: VALIDATION_ERROR
                      message: Request validation failed.
                      details:
                        field: name
                        reason: must not be blank
        '401':
          description: 인증이 필요합니다.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                unauthorized:
                  summary: Bearer 토큰 누락 또는 오류
                  value:
                    error:
                      code: UNAUTHORIZED
                      message: Authentication is required.
                      details: {}
        '403':
          description: 권한이 없습니다.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                forbidden:
                  summary: 권한이 없습니다.
                  value:
                    error:
                      code: FORBIDDEN
                      message: Permission denied.
                      details: {}
        '404':
          description: 리소스를 찾을 수 없습니다.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                notFound:
                  summary: 리소스를 찾을 수 없습니다.
                  value:
                    error:
                      code: RESOURCE_NOT_FOUND
                      message: Resource not found.
                      details:
                        resource: agent
        '409':
          description: 충돌이 발생했습니다.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                conflict:
                  summary: 상태 충돌이 발생했습니다.
                  value:
                    error:
                      code: CONFLICT
                      message: The requested operation conflicts with current state.
                      details:
                        current_status: draft
        '429':
          description: >-
            요청 한도를 초과했습니다. API 키 트래픽은 기본값으로 워크스페이스당 초당 5회·분당 120회, Supabase JWT
            트래픽은 기본값으로 사용자당 초당 10회·분당 240회로 제한되며, 워크스페이스 대시보드에는 기본 분당 2,400회의
            백스톱 한도가 적용됩니다. 한도는 운영자가 조정할 수 있고, 초과한 버킷의 실제 한도와 윈도우는 429 응답의
            X-RateLimit-Limit·X-RateLimit-Window 헤더로 알려 줍니다. 개별 경로 자체 리미터가 만든
            429 응답에는 이 헤더가 없을 수 있습니다.
          headers:
            Retry-After:
              description: >-
                초과한 공용 v3 인증 주체(auth-principal) 리미터 윈도우가 초기화될 때까지 남은 시간입니다. 단위는
                초입니다. 개별 경로 자체 리미터가 만든 429 응답에는 이 헤더가 없을 수 있습니다.
              schema:
                type: integer
                minimum: 1
            X-RateLimit-Limit:
              description: >-
                초과한 공용 v3 인증 주체(auth-principal) 리미터 윈도우의 최대 요청 수입니다. 개별 경로 자체
                리미터가 만든 429 응답에는 이 헤더가 없을 수 있습니다.
              schema:
                type: integer
                minimum: 1
            X-RateLimit-Window:
              description: >-
                초과한 공용 v3 인증 주체(auth-principal) 리미터 윈도우의 길이입니다. 단위는 초입니다. 개별 경로
                자체 리미터가 만든 429 응답에는 이 헤더가 없을 수 있습니다.
              schema:
                type: integer
                minimum: 1
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                rateLimited:
                  summary: 요청 한도를 초과했습니다.
                  value:
                    error:
                      code: RATE_LIMIT_EXCEEDED
                      message: Too many requests.
                      details:
                        limit: 10
                        window_seconds: 1
                        scope: user
        '500':
          description: 서버 내부 오류가 발생했습니다.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                internalError:
                  summary: 서버 내부 오류가 발생했습니다.
                  value:
                    error:
                      code: INTERNAL_ERROR
                      message: Internal server error.
                      details: {}
        '503':
          description: 서비스를 일시적으로 사용할 수 없습니다.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                serviceUnavailable:
                  summary: 서비스를 일시적으로 사용할 수 없습니다.
                  value:
                    error:
                      code: SERVICE_UNAVAILABLE
                      message: Service temporarily unavailable.
                      details: {}
      security:
        - BearerAuth: []
components:
  schemas:
    InvoiceDetailResponse:
      properties:
        id:
          type: string
          title: Id
          description: 청구서 ID입니다.
        invoice_number:
          type: string
          title: Invoice Number
          description: 청구서 번호입니다.
        organization_id:
          type: string
          title: Organization Id
          description: 청구서가 발행된 워크스페이스 ID입니다.
        start_date:
          type: string
          title: Start Date
          description: 정산 기간 시작일입니다(YYYY-MM-DD).
        end_date:
          type: string
          title: End Date
          description: 정산 기간 종료일입니다(YYYY-MM-DD).
        subtotal_decimal:
          type: string
          title: Subtotal Decimal
          description: 공급가 합계입니다(KRW 원 단위, Decimal 문자열).
        tax_amount_decimal:
          type: string
          title: Tax Amount Decimal
          description: 세액입니다(KRW 원 단위, Decimal 문자열).
        total_due:
          type: integer
          title: Total Due
          description: 청구액입니다(KRW).
        credit_applied_decimal:
          type: string
          title: Credit Applied Decimal
          description: 크레딧 차감액입니다(KRW 원 단위, Decimal 문자열).
        paid_amount:
          type: integer
          title: Paid Amount
          description: 결제 완료액입니다(KRW).
        status:
          type: string
          enum:
            - open
            - closed
            - issued
            - paid
            - void
          title: Status
          description: >-
            청구서 상태입니다. `open`(집계 중), `closed`(마감), `issued`(발행), `paid`(결제 완료),
            `void`(무효) 중 하나입니다.
        paid_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Paid At
          description: 결제 완료 시각입니다(unix ms). 결제 전이면 `null`입니다.
        line_items:
          items:
            $ref: '#/components/schemas/InvoiceLineItemResponse'
          type: array
          title: Line Items
          description: 청구서의 정산 항목 목록입니다.
      type: object
      required:
        - id
        - invoice_number
        - organization_id
        - start_date
        - end_date
        - subtotal_decimal
        - tax_amount_decimal
        - total_due
        - credit_applied_decimal
        - paid_amount
        - status
        - line_items
      title: InvoiceDetailResponse
      description: 정산 항목(`line_items`)을 포함한 청구서 상세입니다.
    ErrorResponse:
      type: object
      required:
        - error
      title: ErrorResponse
      description: 모든 실패 응답에서 사용하는 v3 error envelope입니다.
      examples:
        - error:
            code: VALIDATION_ERROR
            message: Request validation failed.
            details:
              field: name
              reason: must not be blank
      properties:
        error:
          $ref: '#/components/schemas/ErrorDetail'
          description: 오류 payload입니다.
    InvoiceLineItemResponse:
      properties:
        item_type:
          type: string
          enum:
            - call_usage
            - chat_usage
            - ut_usage
            - st_usage
            - subscription
            - phone_line
            - sms_usage
            - sms_recv_usage
            - vas
            - uan_line
            - memory_usage
            - operator_seat
            - pii_usage
            - operator_call_usage
            - chat_room
            - copilot_usage
          title: Item Type
          description: >-
            정산 항목 유형입니다. `call_usage`(AI 통화), `chat_usage`(채팅), `ut_usage`(유닛
            테스트), `st_usage`(시나리오 테스트), `subscription`(구독료), `phone_line`(전화번호
            회선), `sms_usage`(문자 발신), `sms_recv_usage`(문자 수신), `vas`(부가서비스),
            `uan_line`(대표번호 회선), `memory_usage`(고객 메모리), `operator_seat`(상담사
            좌석), `pii_usage`(개인정보 보호), `operator_call_usage`(상담사 통화),
            `chat_room`(카카오 상담톡 활성방), `copilot_usage`(코파일럿 답변) 중 하나입니다.
        description:
          type: string
          title: Description
          description: 정산 항목 설명입니다.
        quantity:
          anyOf:
            - type: integer
            - type: 'null'
          title: Quantity
          description: 정산 항목의 수량입니다. 수량을 집계하지 않는 항목은 null입니다.
        amount_decimal:
          type: string
          title: Amount Decimal
          description: 금액입니다(KRW 원 단위, Decimal 문자열).
        status:
          type: string
          enum:
            - draft
            - confirmed
          title: Status
          description: 정산 항목의 상태입니다. `draft`(임시) 또는 `confirmed`(확정)입니다.
      type: object
      required:
        - item_type
        - description
        - amount_decimal
        - status
      title: InvoiceLineItemResponse
      description: 청구서의 정산 항목입니다.
    ErrorDetail:
      type: object
      required:
        - code
        - message
        - details
      title: ErrorDetail
      description: 기계가 읽을 수 있는 v3 오류 상세 정보입니다.
      examples:
        - code: VALIDATION_ERROR
          message: Request validation failed.
          details:
            field: name
            reason: must not be blank
      properties:
        code:
          type: string
          title: Code
          description: 기계가 읽을 수 있는 오류 code입니다. message parsing 대신 이 값을 사용합니다.
          examples:
            - VALIDATION_ERROR
        message:
          type: string
          title: Message
          description: 사용자에게 표시할 수 있는 오류 메시지입니다. 프로그램 처리는 `code`를 사용합니다.
          examples:
            - Request validation failed.
        details:
          type: object
          title: Details
          additionalProperties: true
          description: 구조화된 context입니다. 주로 `field`, `reason`, `allowed_values`를 포함합니다.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Organization API key
      description: '워크스페이스 API 키를 `Authorization: Bearer <token>` 형식으로 보냅니다.'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.